Last Comment Bug 651980 - Intermittent dom/src/threads/test/test_chromeWorkerJSM.xul | Test timed out
: Intermittent dom/src/threads/test/test_chromeWorkerJSM.xul | Test timed out
Status: RESOLVED FIXED
fixed-on-aurora
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Ben Turner (not reading bugmail, use the needinfo flag!)
:
Mentors:
Depends on: 625222
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-21 14:58 PDT by Ben Turner (not reading bugmail, use the needinfo flag!)
Modified: 2013-12-27 14:24 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
?


Attachments
Patch, v1 (16.26 KB, patch)
2011-04-21 14:58 PDT, Ben Turner (not reading bugmail, use the needinfo flag!)
no flags Details | Diff | Review
Patch, v1 (2.35 KB, patch)
2011-04-21 15:00 PDT, Ben Turner (not reading bugmail, use the needinfo flag!)
mrbkap: review+
bugzilla: approval‑mozilla‑aurora+
Details | Diff | Review

Description Ben Turner (not reading bugmail, use the needinfo flag!) 2011-04-21 14:58:32 PDT
Created attachment 527654 [details] [diff] [review]
Patch, v1

+++ This bug was initially created as a clone of Bug #625222 +++

I think we have a real fix, simple and short, to avoid disabling that test.
Comment 1 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-04-21 15:00:22 PDT
Created attachment 527656 [details] [diff] [review]
Patch, v1

Oops, wrong patch.
Comment 2 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-04-22 10:51:19 PDT
http://hg.mozilla.org/mozilla-central/rev/2d093cb6af1c
Comment 3 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-04-22 10:52:31 PDT
Comment on attachment 527656 [details] [diff] [review]
Patch, v1

This fixes a bug that could prevent extension authors from using Workers in their JSMs. Small, isolated fix, obviously tested ;)
Comment 4 Johnny Stenback (:jst, jst@mozilla.com) 2011-04-26 15:36:15 PDT
Tracking, and I think we should take this on aurora, but we'd like to see a few more days of trunk time here...
Comment 5 JP Rosevear [:jpr] 2011-04-28 15:09:54 PDT
How is this looking on central?  Do you have an ETA on when you will reach a comfort level with this patch?
Comment 6 Jonas Sicking (:sicking) PTO Until July 5th 2011-05-04 15:29:05 PDT
I just reconfirmed with Ben. The fix here worked fine on trunk and we do really want to take it on aurora as it fixes GC hazards.
Comment 7 Johnathan Nightingale [:johnath] 2011-05-05 14:43:26 PDT
Comment on attachment 527656 [details] [diff] [review]
Patch, v1

Land it before beta merge, please!
Comment 8 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-05-06 13:40:28 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/b09a81573ff0

Note You need to log in before you can comment on or make changes to this bug.